[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Okay, how about this duplicate provides?



I was installing perl-LDAP on RHEL 5 (from RHN) when I noticed that yum
was going to pull in several perl RPMs from EPEL.  I see that there is a
duplicated provide:

# yum whatprovides 'perl(LWP::Protocol)'
Loaded plugins: rhnplugin, security
perl-SOAP-Lite-0.710.07-2.el5.noarch : Client and server side SOAP
                                     : implementation
Repo        : epel
Matched from:
Other       : perl(LWP::Protocol)



perl-libwww-perl-5.805-1.1.1.noarch : A Perl interface to the World-Wide Web
Repo        : rhel-x86_64-server-5
Matched from:
Other       : perl(LWP::Protocol)



perl-libwww-perl is from RHN and perl-SOAP-Lite is from EPEL.  Since yum
matches the shortest name first, the EPEL package "wins".

I'm guessing this is just another bogus provides that needs to be
filtered out in perl-SOAP-Lite, but is anybody checking for this kind of
"conflict" between RHEL and EPEL?
-- 
Chris Adams <cmadams hiwaay net>
Systems and Network Administrator - HiWAAY Internet Services
I don't speak for anybody but myself - that's enough trouble.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]